package com.yeejoin.amos.boot.biz.common.utils;

import java.util.List;

/**
 * * 生成树返回对象
 * @return 
 * <PRE>
 * author tw
 * date 2021/6/10
 * </PRE>
 */
public class Menu {
	    public Long id;  
	    public String name;  
	    public Long parentId;
	    public Boolean isRoot;
	    public List<Menu> children;
	    public String  treeCode;
	    public int num;
		public int getNum() {
			return num;
		}
		public void setNum(int num) {
			this.num = num;
		}
		public Menu(Long id, String name, Long parentId2,int num) {
			super();
			this.id = id;
			this.name = name;
			this.parentId = parentId2;	
			this.num = num;
		}
	public Menu(Long id, String name, Long parentId2,int num,String  treeCode) {
		super();
		this.id = id;
		this.name = name;
		this.parentId = parentId2;
		this.num = num;
		this.treeCode = treeCode;
	}
		public Menu(Long id, String name, Long parentId, List<Menu> children,int num) {
			super();
			this.id = id;
			this.name = name;
			this.parentId = parentId;
			this.children = children;
			this.num = num;		
		}

	public Menu(Long id, String name, Long parentId, Boolean isRoot, List<Menu> children,int num) {
		this.id = id;
		this.name = name;
		this.parentId = parentId;
		this.isRoot = isRoot;
		this.children = children;
		this.num = num;		
	}

	public Long getId() {
			return id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public Long getParentId() {
			return parentId;
		}
		public void setParentId(Long parentId) {
			this.parentId = parentId;
		}

		public List<Menu> getChildren() {
			return children;
		}

		public void setChildren(List<Menu> children) {
			this.children = children;
		}

	public Boolean getRoot() {
		return isRoot;
	}

	public void setRoot(Boolean root) {
		isRoot = root;
	}
}